corda / net.corda.flows / AbstractStateReplacementFlow / Instigator / <init>

# <init>

`Instigator(originalState: StateAndRef<S>, modification: M, progressTracker: ProgressTracker = tracker())`

The Instigator assembles the transaction for state replacement and sends out change proposals to all participants (Acceptor) of that state. If participants agree to the proposed change, they each sign the transaction. Finally, Instigator sends the transaction containing all participants' signatures to the notary for signature, and then back to each participant so they can record it and use the new updated state for future transactions.

### Parameters

`S` - the input contract state type

`T` - the output contract state type, this can be different from S. For example, in contract upgrade, the output state type can be different from the input state type after the upgrade process.

`M` - the type of a class representing proposed modification by the instigator.